\documentclass[a4paper, trou]{./tpl/ddpoly-en}
\usepackage{dirtree}
\usepackage{wasysym}
\usepackage{mathtools}
\usepackage{enumitem}
\setlist{nolistsep}

\input{macro}
\input{tpl/listing-config}

  
\graphicspath{{tpl/}{img/}}
\ddmodulename{Computer Science}
\ddmodulenumber{Tutorial Minidem}
\ddauthor{D. André}
\dduniv{Ensil-Ensci}
\ddimg{\begin{center}\includegraphics[width=6cm]{img/arduino-logo}\end{center}}
\rien



\begin{document}
\renewcommand{\labelitemi}{$\bullet$}
\lstset{language=granCpp,style=granCpp}  
\lstset{language=granPython,style=granPython}  


\newdemexo{12}{Interact Live with the Simulation (Part 2)}

\noindent The goal of this tutorial is to show you how to create a small game using Minidem. Compared to the previous tutorial, the lower wall has been removed, and grains are removed when they cross this wall (see the \texttt{rigid\_wall()} function).

\vspace{0.5cm}

\begin{task}
  Download the module \dldem{minidem.py} and the script
  \dltutodem{12}{tuto-12\_exercice.py}. Run the script
  \dltutodem{12}{tuto-12\_exercice.py}.
\end{task}

\begin{info}
At this point, you should obtain a simulation similar to the video \dltutodem{12}{tuto-12\_exercice.mp4}.
\end{info}

\begin{task}
  Place the yellow grain at coordinates \texttt{(50, 4)}.
\end{task}

\begin{task}
  Create 4 additional yellow grains and position them on either side of the initial yellow grain as shown in the video
  \dltutodem{12}{tuto-12\_correction.mp4}. These yellow grains should touch each other and be horizontally aligned.
\end{task}


\begin{task}
  Modify the function \texttt{apply\_boundary\_condition()} to control all the yellow grains. Note that the yellow grains should not move vertically.
\end{task}

\begin{task}
  Display the number of blue grains lost during the game.
\end{task}

\begin{task}
  Display the number of iterations elapsed when the game ends (when all blue grains have disappeared).
\end{task}

\begin{info}
  At this point, you should obtain a simulation similar to the video \dltutodem{12}{tuto-12\_correction.mp4}.
\end{info}

\end{document}
